Deleting A single unused product

Deleting A single unused product
Deleting a single unused product

Deletes all unused products, and any stemcells and releases used only by it.

When product_name and version are specified, the request targets one unused product version.

The requested version takes precedence over a fuzzy version match. If that version is in use, no product is deleted.

If the requested version is absent, deletion uses BuildVersion matching only when exactly one unused product matches. For example, 1.0.0 can delete unused 1.0.0-build.1 when 1.0.0 is absent and no other unused version matches. If no unused version matches or multiple unused versions match, the request returns 404.

Request
URI
DELETE
https://{opsmanager-installation}/api/v0/available_products
COPY
Query Parameters
string
product_name
Optional

product_name

string
version
Optional

version


Responses
200

OK

Returns EmptyResponse of type(s) application/json
Operation doesn't return any data structure

400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Not Found

Returns EmptyErrorResponseVariant of type(s) application/json
Operation doesn't return any data structure

422

Unprocessable Content

Returns CommonErrors of type(s) application/json
{
    "errors": [
        "string"
    ]
}
array of string
errors
Required  

errors


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' https://{api_host}/api/v0/available_products